[libvirt] [dockerfiles PATCH] refresh: Add refresh script

Andrea Bolognani posted 1 patch 5 years, 9 months ago
Patches applied successfully (tree, apply log)
git fetch https://github.com/patchew-project/libvirt tags/patchew/20180719082055.17798-1-abologna@redhat.com
Test syntax-check passed
refresh | 30 ++++++++++++++++++++++++++++++
1 file changed, 30 insertions(+)
create mode 100755 refresh
[libvirt] [dockerfiles PATCH] refresh: Add refresh script
Posted by Andrea Bolognani 5 years, 9 months ago
This calls lcitool, part of the libvirt-jenkins-ci
project, to refresh the Dockerfiles so that they
contain up to date information about build
requirements.

Signed-off-by: Andrea Bolognani <abologna@redhat.com>
---
 refresh | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100755 refresh

diff --git a/refresh b/refresh
new file mode 100755
index 0000000..7aa2151
--- /dev/null
+++ b/refresh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+die() {
+    test "$1" && echo "$1" >&2
+    exit 1
+}
+
+me="$0"
+here=$(pwd)
+
+ci_repo="$1"
+
+cd "$ci_repo/guests/" >/dev/null 2>&1 || {
+    die "Usage: $me path/to/libvirt-jenkins-ci.git"
+}
+
+for host in $(./lcitool -a hosts)
+do
+    projects="libvirt"
+    dockerfile="$here/buildenv-${host#libvirt-}.Dockerfile"
+
+    case "$host" in
+        libvirt-fedora-rawhide) projects="libvirt,libvirt+mingw" ;;
+        libvirt-freebsd-*)      continue ;;
+    esac
+
+    ./lcitool -a dockerfile -h "$host" -p "$projects" >"$dockerfile" || {
+        die "$me: Failed to refresh Dockerfile for $host"
+    }
+done
-- 
2.17.1

--
libvir-list mailing list
libvir-list@redhat.com
https://www.redhat.com/mailman/listinfo/libvir-list
Re: [libvirt] [dockerfiles PATCH] refresh: Add refresh script
Posted by Daniel P. Berrangé 5 years, 9 months ago
On Thu, Jul 19, 2018 at 10:20:55AM +0200, Andrea Bolognani wrote:
> This calls lcitool, part of the libvirt-jenkins-ci
> project, to refresh the Dockerfiles so that they
> contain up to date information about build
> requirements.
> 
> Signed-off-by: Andrea Bolognani <abologna@redhat.com>
> ---
>  refresh | 30 ++++++++++++++++++++++++++++++
>  1 file changed, 30 insertions(+)
>  create mode 100755 refresh

Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>



Regards,
Daniel
-- 
|: https://berrange.com      -o-    https://www.flickr.com/photos/dberrange :|
|: https://libvirt.org         -o-            https://fstop138.berrange.com :|
|: https://entangle-photo.org    -o-    https://www.instagram.com/dberrange :|

--
libvir-list mailing list
libvir-list@redhat.com
https://www.redhat.com/mailman/listinfo/libvir-list